<?php
require_once(LIB_PATH . 'HtmlElements.inc'); 
class x_k7 extends kp_HtmlElements { 
function x_k8($x_k9 = Array(), $x_3k = '') { 
$x_bk = Array(); 
$x_7p = 0; 
foreach ($x_k9 as $x_7d) { 
if (0 == $x_7p % 2) { 
$x_bk[] = '<tr><td class="bold">' . $x_7d . '</td></tr>'; 
$x_bk[] = '<tr><td>' . $this->x_b9() . '</td></tr>'; 
} else { 
$x_bk[] = '<tr><td align="right">' . $x_7d . '</td></tr>'; 
} 
$x_7p++; 
} 
return '<table cellpadding="0" cellspacing="0" border="0" ' . $x_3k . '>' 
. implode('', $x_bk) 
. '</table>'; 
} 
function x_ka($x_k9 = Array(), 
$x_2d = Array(), 
$x_kb = Array(), 
$x_3k = '', 
$x_kc = false) { 
$x_kd = Array(); 
$x_5c = Array(); 
if (!empty($x_2d)) { 
foreach ($x_2d as $x_69 => $x_1n) { 
$x_kd[] = '<th' 
. (array_key_exists($x_69, $x_kb) ? ' class="' . $x_kb[$x_69] . '"' : '') 
. '>' . $x_1n . '</th>'; 
} 
} 
if (!empty($x_k9)) { 
if (!empty($x_kb) && count($x_kb) == count($x_k9[0])) { 
if ($x_kc) { 
$x_ke = (count($x_k9)+1); 
define ('MAX_TABLE_ROWS', 65); 
$x_kf = Array(); 
if ($x_ke > MAX_TABLE_ROWS) { 
$x_7p = 0; 
while ($x_7p < $x_ke) { 
$x_kf[] = array_slice($x_k9, $x_7p, MAX_TABLE_ROWS); 
$x_7p += MAX_TABLE_ROWS; 
} 
} else { 
$x_kf[] = $x_k9; 
} 
$x_kg = count($x_kf) - 1; 
$x_kh = count($x_kf[$x_kg]); 
$x_ki = count($x_kf[$x_kg][0]); 
$x_kj = array_fill(0, $x_ki, ''); 
$x_kk = array_fill($x_kh, (MAX_TABLE_ROWS - $x_kh), $x_kj); 
$x_kf[$x_kg] = array_merge($x_kf[$x_kg], $x_kk); 
} else { 
$x_kf[] = $x_k9; 
} 
foreach ($x_kf as $x_k9) { 
$x_8j = Array(); 
foreach ($x_k9 as $x_8l) { 
$x_3u = Array(); 
foreach ($x_8l as $x_69 => $x_8k) { 
switch ($x_kb[$x_69]) { 
case 'data': 
case 'dataTotal': 
$x_3u[] = '<td align="right" class="' . $x_kb[$x_69] . '">' . $x_8k . '</td>'; 
break; 
case 'percentage': 
$x_3u[] = '<td align="right" class="percentage">' 
. ($x_8k > 0 ? $x_8k . '%' : '&nbsp;') 
. '</td>'; 
break; 
case 'progress': 
if (strlen($x_8k) != 0) { 
$x_kl = intval(($x_8k/100)*80); 
if ($x_kl < 1) { 
$x_kl = 1; 
} 
$x_3u[] = '<td>' 
. $this->kp_getImage(IMAGE_PATH . 'dotGray.gif', $x_kl, 8) 
. '</td>'; 
} else { 
$x_3u[] = '<td>' . $x_8k . '</td>'; 
} 
break; 
default: 
$x_3u[] = '<td class="' . $x_kb[$x_69] . '">' . $x_8k . '</td>'; 
} 
} 
$x_8j[] = implode('', $x_3u); 
} 
$x_5c[] = '<table cellpadding="0" cellspacing="0" border="0" ' . $x_3k . '>' 
. (!empty($x_kd) ? '<thead><tr>' . implode('', $x_kd) . '</tr></thead>' : '') 
. (!empty($x_kd) ? '<tbody><tr>' . 
'<td colspan=' . count($x_kd) . '>' . 
$this->x_b9() . 
'</td>' . 
'</tr></tbody>' : '') 
. '<tbody><tr>' 
. implode('</tr><tr>', $x_8j) 
. '</tr></tbody></table><br>'; 
} 
} 
} 
if (1 == count($x_5c)) { 
return implode('', $x_5c); 
} else { 
return $x_5c; 
} 
} 
} 
?>